osmo_cxvec Struct Reference
Complex vectors

Complex vector. More...

`#include <cxvec.h>`

## Public Attributes

int | len
| Valid length.
int | max_len
| Maximum length in data field.
int | flags
| Flags, see CXVEC_FLG_xxx.
float complex * | data
| Data field.
float complex | _data [0]
| Optional inline data array.

## Detailed Description

Complex vector.

## Member Data Documentation

## _data

float complex osmo_cxvec::_data[0]

Optional inline data array.

## data

float complex* osmo_cxvec::data

Data field.

## flags

int osmo_cxvec::flags

Flags, see CXVEC_FLG_xxx.

## len

int osmo_cxvec::len

Valid length.

## max_len

int osmo_cxvec::max_len

Maximum length in data field.

The documentation for this struct was generated from the following file:

- cxvec.h